{
    num: 510,
    accuracy: 100,
    basePower: 60,
    category: "Special",
    name: "Incinerate",
    pp: 15,
    priority: 0,
    flags: {protect: 1, mirror: 1, metronome: 1},
    onHit(pokemon, source) {
        const item = pokemon.getItem();
        if ((item.isBerry || item.isGem) && pokemon.takeItem(source)) {
            this.add('-enditem', pokemon, item.name, '[from] move: Incinerate');
            if (!pokemon.hasType('Fire')) {
                pokemon.trySetStatus('brn', pokemon);
            }
        }
    },
    secondary: null,
    target: "allAdjacentFoes",
    type: "Fire",
    contestType: "Tough",
}
